org.apache.fop.render.afp

## Class AFPFontConfig

- java.lang.Object
- - org.apache.fop.render.afp.AFPFontConfig

- All Implemented Interfaces:
    FontConfig

      public final class AFPFontConfig
      extends java.lang.Object
      implements FontConfig

  The config object for AFP fonts, these differ from the the more generic fonts (TTF and Type1).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.fop.fonts.FontConfig

      `FontConfig.FontConfigParser`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<org.apache.fop.render.afp.AFPFontConfig.AFPFontConfigData>` | `getFontConfig()` Returns a list of AFP font configuration data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getFontConfig

          public java.util.List<org.apache.fop.render.afp.AFPFontConfig.AFPFontConfigData> getFontConfig()

      Returns a list of AFP font configuration data.
      Returns:
        the AFP font config data

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.